xpra icon
Bug tracker and wiki

Opened 4 weeks ago

Closed 2 weeks ago

Last modified 10 days ago

#2127 closed defect (fixed)

libgiolibproxy cannot be found

Reported by: stdedos Owned by: Antoine Martin
Priority: minor Milestone: 2.5
Component: packaging Version: 2.4.x
Keywords: win32 Cc:

Description

Xpra run as client, Win10 , Xpra-Python3-x86_64_Setup_2.5-r21454

'C:\Program Files\Xpra\lib\gio\modules\libgiolibproxy.dll': The specified module could not be found.
Failed to load module: C:\Program Files\Xpra\lib\gio\modules\libgiolibproxy.dll
'g_io_module_load': The specified procedure could not be found.
Failed to load module: C:\Program Files\Xpra\lib\gio\modules\libproxy-1.dll

Change History (5)

comment:1 Changed 4 weeks ago by Antoine Martin

Component: corepackaging
Keywords: win32 added
Status: newassigned

I'm pretty sure I saw this and that the DLL is there.
I just need to figure out which DLL libgiolibproxy.dll is missing.
IIRC, dependency walker didn't find anything missing.

AFAICT, this is harmless and can be ignored: we don't need or use libproxy.

comment:2 Changed 2 weeks ago by Antoine Martin

Resolution: fixed
Status: assignedclosed

An MSYS2 update fixed this - I wished I knew which one..

comment:3 Changed 10 days ago by stdedos

For me it's not fixed

2019-02-12 19:27:20,492 Xpra GTK3 client version 2.5-r21642 64-bit
2019-02-12 19:27:20,496  running on Microsoft Windows 10
2019-02-12 19:27:21,313 GStreamer version 1.14.4 for Python 3.7.2 64-bit
2019-02-12 19:27:22,004  keyboard settings: layout=us
2019-02-12 19:27:22,006  desktop size is 1600x900 with 1 screen:
2019-02-12 19:27:22,006   Default (423x238 mm - DPI: 96x96) workarea: 1600x860
2019-02-12 19:27:22,006     (Standard monitor types) Generic PnP Monitor (309x174 mm - DPI: 131x131)
'C:\Program Files\Xpra\lib\gio\modules\libgiolibproxy.dll': The specified module could not be found.
Failed to load module: C:\Program Files\Xpra\lib\gio\modules\libgiolibproxy.dll
'g_io_module_load': The specified procedure could not be found.
Failed to load module: C:\Program Files\Xpra\lib\gio\modules\libproxy-1.dll
2019-02-12 19:27:24,364 unknown string message: 0xc1d2 / 0x0 / 0x0
2019-02-12 19:27:25,278 Error: cannot find icon 'None'
2019-02-12 19:27:35,594 enabled remote logging
2019-02-12 19:27:37,062 Xpra GTK2 X11 server version 2.5-r21480 64-bit
2019-02-12 19:27:37,063  running on Linux Ubuntu 16.04 xenial
2019-02-12 19:28:09,159 unknown string message: 0xc0ac / 0x1 / 0x1
2019-02-12 19:28:09,288 unknown string message: 0xc0ac / 0x2 / 0x0
2019-02-12 19:28:27,575 unknown string message: 0xc0ac / 0x1 / 0x1
2019-02-12 19:28:27,667 unknown string message: 0xc0ac / 0x2 / 0x0
2019-02-12 19:28:27,695 unknown string message: 0xc0ac / 0x1 / 0x1
2019-02-12 19:28:27,803 unknown string message: 0xc0ac / 0x2 / 0x0
2019-02-12 19:29:20,631 unknown string message: 0xc0ac / 0x1 / 0x1
2019-02-12 19:29:20,785 unknown string message: 0xc0ac / 0x2 / 0x0
2019-02-12 19:31:08,967 Error: cannot find icon 'None'

but if it's harmless, as you say, maybe trivial?

comment:4 Changed 10 days ago by stdedos

The funny thing might be ... that it's there??

C:\Program Files\Xpra\lib\gio\modules>dir
 Volume in drive C has no label.
 Volume Serial Number is 5C74-3093

 Directory of C:\Program Files\Xpra\lib\gio\modules

12/02/2019  07:26 μμ    <DIR>          .
12/02/2019  07:26 μμ    <DIR>          ..
14/01/2019  05:43 πμ            29.342 libgiognomeproxy.dll
14/01/2019  05:43 πμ           107.486 libgiognutls.dll
14/01/2019  05:43 πμ            24.886 libgiolibproxy.dll
16/07/2018  11:42 πμ           200.343 libproxy-1.dll
               4 File(s)        362.057 bytes
               2 Dir(s)  187.676.540.928 bytes free

comment:5 Changed 10 days ago by Antoine Martin

Yes, as per comment:1, it is there, it is in the correct location which is why it gets picked up.

r21648 remove all gio modules, which doesn't seem to be causing problem as of yet, but may need to be reverted and fixed properly when we deal with #2105.

Note: See TracTickets for help on using tickets.